Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 817119 - Please package IPOPT for Fedora
Summary: Please package IPOPT for Fedora
Keywords:
Status: CLOSED DUPLICATE of bug 894604
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-27 18:29 UTC by John Pye
Modified: 2019-11-21 01:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:33:39 UTC
Type: Bug


Attachments (Terms of Use)

Description John Pye 2012-04-27 18:29:31 UTC
Description of problem:
The IPOPT nonlinear solver/optimisation package is not available in Fedora

Version-Release number of selected component (if applicable):
IPOPT 3.10.2 is the latest release and I have tested that it compiles with Fedora 16 64-bit.

Additional info:
http://www.coin-or.org/Ipopt/

IPOPT is a widely used nonlinear solver and would ease the addition of numerous scientific software package into Fedora, as listed here:
https://projects.coin-or.org/Ipopt/wiki/SuccessStories

In addition to those listed there, IPOPT is also useful in SciLab, Octave and Python and is probably the premier FOSS non-linear optimisation solver currently.

Comment 1 Fedora End Of Life 2013-01-16 16:09:47 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 19:33:44 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Christopher Meng 2014-07-04 07:02:36 UTC

*** This bug has been marked as a duplicate of bug 894604 ***

Comment 4 John Pye 2019-11-21 01:23:16 UTC
remove needinfo flag


Note You need to log in before you can comment on or make changes to this bug.